{{ Demo program for the 4-channel 1-wire ADC

}}
CON
  _clkmode = xtal1 + pll16x                                                   
  _xinfreq = 5_000_000

CON
  ADC1_input    = 0                                  
  ADC2_input    = 1
  ADC3_input    = 2
  ADC4_input    = 3
  
OBJ
  FDS : "FullDuplexSerial"
  ADC : "adc sigma_delta 1-pin 4x"
  
VAR
  long  ADC_value[4]

PUB Main | i
  FDS.start(31,30,0,115_200)
  ADC.start(ADC1_input,ADC2_input,ADC3_input,ADC4_input,@ADC_value)
  repeat
    waitcnt(cnt + clkfreq / 2)
    FDS.tx($00)
    repeat i from 0 to 3
      FDS.dec(ADC_value[i])
      FDS.tx($09)
      